%define upstream_name	Gtk2
%define upstream_version 1.247

%define Werror_cflags %{nil}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	7

Summary:	Perl module for the gtk+-2.x library

License:	GPL or Artistic
Group:		Development/GNOME and GTK+
Url:		http://gtk2-perl.sf.net/
Source0:	http://sourceforge.net/projects/gtk2-perl/files/%{upstream_name}/%{upstream_version}/%{upstream_name}-%{upstream_version}.tar.gz
Patch7:		Gtk2-1.244-gtk_exit.patch
Patch21:	Gtk2-1.038-xset_input_focus.patch
Patch23:	Gtk2-1.023-exception-trapping.patch 

BuildRequires:	perl(Cairo) >= 1.0.0
BuildRequires:	perl(ExtUtils::Depends) >= 0.300.0
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(ExtUtils::PkgConfig) >= 1.120
BuildRequires:	perl(Glib) >= 1.240.0
BuildRequires:	perl(Pango) >= 1.220.0
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	perl-devel
# for test suite:
BuildRequires:	fontconfig
BuildRequires:	fonts-ttf-dejavu
BuildRequires:	x11-server-xvfb
Requires:	gtk+2
Requires:	perl(Glib)
#	(misc) needed by /usr/lib/perl5/vendor_perl/5.8.7/i386-linux/Gtk2/Install/Files.pm
Requires:	perl(Cairo)
Requires:	perl(Pango)
# required to avoid warnings when loading
Suggests:	canberra-gtk
# (tv) libegg's code for status icon was merged in gtk+2.9.x:
Provides:	perl-Gtk2-StatusIcon = %{version}-%{release}
Obsoletes:	perl-Gtk2-StatusIcon <= 0.010

# rpm bug, FIXME!
%define	__noautoreqfiles	%{_docdir}

%description
This module provides perl access to the gtk+-2.x library.

Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%package	doc
Summary:	Gtk2 documentation

Group:		Books/Computer books
BuildArch:	noarch

%description	doc
This package contains documentation of the Gtk2 module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch7 -p1 -b .gtk_exit~
%patch21 -p0 -b .tv~
%patch23 -p0 -b .except~
perl Makefile.PL INSTALLDIRS=vendor
chmod 755 gtk-demo/*.pl examples/*.pl

%build
%make OPTIMIZE="%{optflags}"

%check
#xvfb-run %make test

%install
%makeinstall_std

%files
%doc AUTHORS LICENSE META.yml NEWS README TODO
%{perl_vendorarch}/%{upstream_name}/
%{perl_vendorarch}/%{upstream_name}.pm
%exclude %{perl_vendorarch}/%{upstream_name}/*.pod
%exclude %{perl_vendorarch}/%{upstream_name}/*/*.pod
%exclude %{perl_vendorarch}/%{upstream_name}/*/*/*.pod
%{perl_vendorarch}/auto/*

%files doc
%doc gtk-demo examples
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*/*.pod

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.247.0-7
+ Revision: 3b1f007
- MassBuild#440: Increase release tag


